### Function

# GLib Sequence remove_range

since: 2.14

#### Declaration [src]

    void
    g_sequence_remove_range (
      GSequenceIter* begin,
      GSequenceIter* end
    )

#### Description [src]

Removes all items in the (`begin`, `end`) range.

If the sequence has a data destroy function associated with it, this function is called on the data for the removed items.

Available since: 2.14

#### Parameters

`begin`

  Type: `GSequenceIter`

  A `GSequenceIter`.

  The data is owned by the caller of the function.

`end`

  Type: `GSequenceIter`

  A `GSequenceIter`.

  The data is owned by the caller of the function.